# Updates a review round with the specified ID. This method will update an existing review round with the specified ID. Endpoint: PUT /reviewRounds/{tenantId}/{id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. - `id` (string, required) The ID of the review round to update. ## Request fields (application/json): - `award_id` (string, required) Event associated with this review round - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `date` (string) The date the round was created - `display_order` (number) Sequential number order for the rounds - `enable_blind_review` (boolean) Flag to indicate of review should be blind - `enable_review_assignment_rules` (boolean, required) Flag for setting if assignment rules apply to round - `id` (string, required) The unique, string identifier of this award review round - `is_active` (boolean) Whether or not this award review round is active - `name` (string, required) The name of the award review round - `process_id` (string, required) The process associated with this round - `review_assignment_rules` (array, required) - `review_assignment_rules.display_order` (number) The order in which the rules are to be matched - `review_assignment_rules.matching_conditions` (object, required) - `review_assignment_rules.name` (string, required) Description of the assignment rule - `review_assignment_rules.targets` (array) - `review_assignment_rules.targets.committee_id` (string) The committee that will review the award - `review_assignment_rules.targets.committee_member_id` (string) The committee member that will review the award - `review_assignment_rules.targets.committee_position_id` (string) The optional committee position; if excluded, all members on the committee are assigned - `review_assignment_rules.targets.contact_id` (string) The contact that will review the award - `review_assignment_rules.targets.type` (string, required) Enum: "committee", "committee member", "contact" - `review_form_id` (string, required) Platform Webform for the Review Round - `status` (string) The status of the award review round: Open, Closed Enum: "closed", "never opened", "open" - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database ## Response 200 fields (application/json): - `award_id` (string, required) Event associated with this review round - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `date` (string) The date the round was created - `display_order` (number) Sequential number order for the rounds - `enable_blind_review` (boolean) Flag to indicate of review should be blind - `enable_review_assignment_rules` (boolean, required) Flag for setting if assignment rules apply to round - `id` (string, required) The unique, string identifier of this award review round - `is_active` (boolean) Whether or not this award review round is active - `name` (string, required) The name of the award review round - `process_id` (string, required) The process associated with this round - `review_assignment_rules` (array, required) - `review_assignment_rules.display_order` (number) The order in which the rules are to be matched - `review_assignment_rules.matching_conditions` (object, required) - `review_assignment_rules.name` (string, required) Description of the assignment rule - `review_assignment_rules.targets` (array) - `review_assignment_rules.targets.committee_id` (string) The committee that will review the award - `review_assignment_rules.targets.committee_member_id` (string) The committee member that will review the award - `review_assignment_rules.targets.committee_position_id` (string) The optional committee position; if excluded, all members on the committee are assigned - `review_assignment_rules.targets.contact_id` (string) The contact that will review the award - `review_assignment_rules.targets.type` (string, required) Enum: "committee", "committee member", "contact" - `review_form_id` (string, required) Platform Webform for the Review Round - `status` (string) The status of the award review round: Open, Closed Enum: "closed", "never opened", "open" - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields